Package com.io7m.cedarbridge.runtime.api

# Class CBListSerializer<T extends CBSerializableType>

java.lang.Object
com.io7m.cedarbridge.runtime.api.CBAbstractSerializer<CBList<T>>
com.io7m.cedarbridge.runtime.api.CBListSerializer<T>

Type Parameters:
  `T` - The type of elements

All Implemented Interfaces:
  `CBSerializerType<CBList<T>>`

public final class CBListSerializer<T extends CBSerializableType> extends CBAbstractSerializer<CBList<T>>
A serializer of lists.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBListSerializer(CBSerializerType<T> inItemSerializer)`
  A serializer of lists.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CBList<T>`
  `deserialize(CBSerializationContextType context)`
  Deserialize a value of the given type.
  `void`
  `serialize(CBSerializationContextType context, CBList<T> value)`
  Serialize a value of the given type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CBListSerializer

    public CBListSerializer(CBSerializerType<T> inItemSerializer)
    A serializer of lists.
    Parameters:
      `inItemSerializer` - The list element serializer

- ## Method Details

  - ### serialize

    public void serialize(CBSerializationContextType context, CBList<T> value) throws IOException
    Description copied from interface: `CBSerializerType`
    Serialize a value of the given type.
    Parameters:
      `context` - The serialization context
      `value` - The value to be serialized
    Throws:
      `IOException` - On I/O errors

  - ### deserialize

    public CBList<T> deserialize(CBSerializationContextType context) throws IOException
    Description copied from interface: `CBSerializerType`
    Deserialize a value of the given type.
    Parameters:
      `context` - The serialization context
    Returns:
      A deserialized value
    Throws:
      `IOException` - On I/O errors